Bug 4350 - Плохое название файла меню
: Плохое название файла меню
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/blackbox)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-13 02:26 by
Modified: 2008-05-20 02:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-13 02:26:42
Плохо, что файл меню blockbox-menu не называется с точки, и располагается 
прямо в домашнем каталоге.
------- Comment #1 From 2005-09-12 13:04:12 -------
Забираю, как новый маинтейнер blackbox. 
------- Comment #2 From 2005-09-21 01:10:22 -------
(In reply to comment #0) 
> Плохо, что файл меню blockbox-menu не называется с точки, и располагается  
> прямо в домашнем каталоге. 
 
т.е. не пойму? 
 
файл blackbox-menu лежит в /etc/X11/blackbox/ 
 
или как надо? 
 
------- Comment #3 From 2005-09-21 02:27:30 -------
Я так понял речь о том случае, когда меню пользовательское? 
Где оно хранится в этом случае? 
------- Comment #4 From 2005-11-04 16:30:15 -------
Фу. Разобрался. Этот файл лежит в хомяке. Точнее, появляется в хомяке. Видимо 
после дёргания update-menus от пользователя. 

Надо что-то с ним сделать. 

Может его переместить в ~/.blackbox/? Или переименовать в .blackbox-menu и 
пусть дальше лежит в хомяке? Мне нравится первый вариант, хотя можно перенести 
и переименовать во что-то типа "~/.blackbox/menu"? 
------- Comment #5 From 2005-11-04 18:48:36 -------
Я бы вообще запретил пользователю запускать update-menus. 
Я вижу что это только проблемы создаёт ему же. 
Чем может быть недостаточна системная конфигурация? 

По поводу файла меню. 
Если есть каталог .blackbox, можно и туда. 
Кстати, есть ещё файл .backboxrc ? 
А вообще было бы лучше положить его в ~/.config, как следует из 
http://www.freesource.info/wiki/Standarts/XDGBaseDirectorySpecification 
------- Comment #6 From 2006-03-25 15:24:13 -------
(In reply to comment #5)
> Я бы вообще запретил пользователю запускать update-menus. 
> Я вижу что это только проблемы создаёт ему же. 
> Чем может быть недостаточна системная конфигурация?

Для извращенцев. :)
 
> По поводу файла меню. 
> Если есть каталог .blackbox, можно и туда. 
> Кстати, есть ещё файл .backboxrc ? 
> А вообще было бы лучше положить его в ~/.config, как следует из 
> http://www.freesource.info/wiki/Standarts/XDGBaseDirectorySpecification 


Так куда его ложить? В ~/.config/blackbox/ ?
------- Comment #7 From 2006-03-25 20:40:11 -------
Насколько я понимаю, да  
------- Comment #8 From 2007-01-09 02:35:55 -------
re
------- Comment #9 From 2007-11-10 20:23:14 -------
(In reply to comment #8)
> re
В смысле fixed или nafig? :)
------- Comment #10 From 2008-01-08 06:13:19 -------
Предположим, нравы изменились.
------- Comment #11 From 2008-05-20 02:23:55 -------
В свежем blackbox это исправленно.